Bug 737272 - update gmock to 1.6.0 to cope with GCC 4.6.
Summary: update gmock to 1.6.0 to cope with GCC 4.6.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gmock
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 13:34 UTC by Felix Möller
Modified: 2013-08-19 18:29 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-08-19 18:29:47 UTC


Attachments (Terms of Use)
erros when using gmock with GCC 4.6. (21.45 KB, text/plain)
2011-09-10 13:34 UTC, Felix Möller
no flags Details

Description Felix Möller 2011-09-10 13:34:57 UTC
Created attachment 522523 [details]
erros when using gmock with GCC 4.6.

Trying to build unity I got a lot of errors as attached. 

Please update to version 1.6.0 to handle this.

One has to watch http://code.google.com/p/googlemock/source/detail?spec=svn396&r=377

Comment 1 Terje Røsten 2011-10-17 17:31:47 UTC
Se also #737268

Comment 2 Fedora End Of Life 2012-08-07 20:05:31 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-04-03 19:45:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Terje Røsten 2013-08-19 18:29:47 UTC
Issue has been resolved in rawhide: 
 http://koji.fedoraproject.org/koji/buildinfo?buildID=454625


Note You need to log in before you can comment on or make changes to this bug.